| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CStringDataBufferOfType< T > Class Template Reference

`#include <AAX_CStringDataBuffer.h>`

Inheritance diagram for AAX_CStringDataBufferOfType< T >:
[legend]
Collaboration diagram for AAX_CStringDataBufferOfType< T >:
[legend]

## Description

template<AAX_CTypeID T>
class AAX_CStringDataBufferOfType< T >

A convenience class for string data buffers.

The data payload is a `char*` C string

## Public Member Functions
| AAX_CStringDataBufferOfType (std::string const &inData)
| AAX_CStringDataBufferOfType (std::string &&inData)
| AAX_CStringDataBufferOfType (const char *inData)
| AAX_CStringDataBufferOfType (AAX_CStringDataBufferOfType const &)=delete
| AAX_CStringDataBufferOfType (AAX_CStringDataBufferOfType &&)=delete
| ~AAX_CStringDataBufferOfType (void) AAX_OVERRIDE=default
AAX_CStringDataBufferOfType & | operator= (AAX_CStringDataBufferOfType const &other)=delete
AAX_CStringDataBufferOfType & | operator= (AAX_CStringDataBufferOfType &&other)=delete
AAX_Result | Type (AAX_CTypeID *oType) const AAX_OVERRIDE
AAX_Result | Size (int32_t *oSize) const AAX_OVERRIDE
AAX_Result | Data (void const **oBuffer) const AAX_OVERRIDE
Public Member Functions inherited from AAX_IDataBuffer
| ACF_DECLARE_STANDARD_UNKNOWN () ACFMETHOD(InternalQueryInterface)(const acfIID &riid
| AAX_DELETE (AAX_IDataBuffer &operator=(const AAX_IDataBuffer &))
virtual AAX_Result | Type (AAX_CTypeID *oType) const =0
virtual AAX_Result | Size (int32_t *oSize) const =0
virtual AAX_Result | Data (void const **oBuffer) const =0
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Additional Inherited Members
Public Attributes inherited from AAX_IDataBuffer
void **ppvObjOut | AAX_OVERRIDE

## Constructor & Destructor Documentation

## ◆ AAX_CStringDataBufferOfType() [1/5]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::AAX_CStringDataBufferOfType | ( | std::string const & | inData | ) |
| inline explicit

## ◆ AAX_CStringDataBufferOfType() [2/5]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::AAX_CStringDataBufferOfType | ( | std::string && | inData | ) |
| inline explicit

## ◆ AAX_CStringDataBufferOfType() [3/5]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::AAX_CStringDataBufferOfType | ( | const char * | inData | ) |
| inline explicit

## ◆ AAX_CStringDataBufferOfType() [4/5]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::AAX_CStringDataBufferOfType | ( | AAX_CStringDataBufferOfType< T > const & |  | ) |
| delete

## ◆ AAX_CStringDataBufferOfType() [5/5]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::AAX_CStringDataBufferOfType | ( | AAX_CStringDataBufferOfType< T > && |  | ) |
| delete

## ◆ ~AAX_CStringDataBufferOfType()

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType< T >::~AAX_CStringDataBufferOfType | ( | void |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType & AAX_CStringDataBufferOfType< T >::operator= | ( | AAX_CStringDataBufferOfType< T > const & | other | ) |
| delete

## ◆ operator=() [2/2]

template<AAX_CTypeID T>

AAX_CStringDataBufferOfType & AAX_CStringDataBufferOfType< T >::operator= | ( | AAX_CStringDataBufferOfType< T > && | other | ) |
| delete

## ◆ Type()

template<AAX_CTypeID T>

AAX_Result AAX_CStringDataBufferOfType< T >::Type | ( | AAX_CTypeID * | oType | ) | const
| inline virtual

The type of data contained in this buffer

This identifier must be sufficient for a client that knows the type to correctly interpret and use the data.

Implements AAX_IACFDataBuffer.

References AAX_ERROR_NULL_ARGUMENT, and AAX_SUCCESS.

## ◆ Size()

template<AAX_CTypeID T>

AAX_Result AAX_CStringDataBufferOfType< T >::Size | ( | int32_t * | oSize | ) | const
| inline virtual

The number of bytes of data in this buffer

Implements AAX_IACFDataBuffer.

References AAX_ERROR_NULL_ARGUMENT, AAX_ERROR_SIGNED_INT_OVERFLOW, and AAX_SUCCESS.

## ◆ Data()

template<AAX_CTypeID T>

AAX_Result AAX_CStringDataBufferOfType< T >::Data | ( | void const ** | oBuffer | ) | const
| inline virtual

The buffer of data

Implements AAX_IACFDataBuffer.

References AAX_ERROR_NULL_ARGUMENT, and AAX_SUCCESS.

The documentation for this class was generated from the following file:

- AAX_CStringDataBuffer.h